# Bitty's Regions

This mod adds 1 new region, but more are planned in the future. Each new region has **unique cards**, and a **unique boss** as well.

[Join the Modding discord server!](https://discord.gg/2GuxCVCaxN)

Made by Bitty45 (discord: bitty45#5291), don't be afraid to ping me if you run into any errors!

Current regions added:
- Magma Flow

#
### Includes:

**GUID:** bitty45.inscryption.regions

<details>
<summary>9 New Region Specific Cards:
</summary>

|Mod Prefix|Region|Name|Power|Health|Cost|Sigils|Extras|Traits|Tribes|
|:-:|:-|:-|:-|:-|:-|:-|:-|:-|:-|
|bittyRegions|Coal Boy|Magma|0|1| <img align="center" src="https://i.imgur.com/beJhD7d.png">|Replenish|Talking Card|||
|bittyRegions|Drake|Magma|3|1| <img align="center" src="https://i.imgur.com/62GUUAC.png">|Blazing Deck|||Reptile|
|bittyRegions|Fire Ant|Magma|Ant|1| <img align="center" src="https://i.imgur.com/H6vESv7.png">|Anthill||Ant|Insect|
|bittyRegions|Flamemingo|Magma|2|1| <img align="center" src="https://i.imgur.com/H6vESv7.png">|Airborne, Brittle|||Bird|
|bittyRegions|Flaming Salmon|Magma|2|2| <img align="center" src="https://i.imgur.com/62GUUAC.png">|Jumper, Waterborne||||
|bittyRegions|Hellhound|Magma|2|3| <img align="center" src="https://i.imgur.com/62GUUAC.png">|Fleeting Draw, Guardian|||Canine|
|bittyRegions|Phoenix|Magma|3|2| <img align="center" src="https://i.imgur.com/62GUUAC.png">|Recursive, Flying|||Bird|
|bittyRegions|Salamander|Magma|1|2| <img align="center" src="https://i.imgur.com/H6vESv7.png">|Fleeting Draw|||Reptile|
|bittyRegions|Turtle Rock|Magma|4|4| <img align="center" src="https://i.imgur.com/Ckvc6Ww.png">|Made Of Stone|||Reptile|
</details>

<details>
<summary>7 New Pack Cards if you have Pack Manager:
</summary>

|Mod Prefix|Name|Power|Health|Cost|Sigils|Tribes|
|:-:|:-|:-|:-|:-|:-|:-|
|bittyRegionsPack|Hyena|1|2| <img align="center" src="https://i.imgur.com/H6vESv7.png">|Bone Stock|Canine|
|bittyRegionsPack|Chihuahua|1|1|3 Bones|Bloodlust|Canine|
|bittyRegionsPack|Woodpecker|1|2| <img align="center" src="https://i.imgur.com/62GUUAC.png">|Flying, Double Strike|Bird|
|bittyRegionsPack|Squirrel Ball|0|2| <img align="center" src="https://i.imgur.com/H6vESv7.png">|Squirrel Swarm|Squirrel|
|bittyRegionsPack|Hawk|3|1| <img align="center" src="https://i.imgur.com/62GUUAC.png">|Flying, FirstStrike|Bird|
|bittyRegionsPack|Seagull|1|2|1 Blood, 1 Bone|Flip Attack|Bird|
|bittyRegionsPack|Hermit Crab|1|2| <img align="center" src="https://i.imgur.com/H6vESv7.png">|Terrain Dweller||
</details>

<details>
<summary>14 New Sigils:
</summary>

|Name|Description|
|:-:|:-|
|Inflamed|When A card bearing this sigil is struck, discard the oldest card in your hand.|
|Bellows|When A card bearing this sigil is struck, draw 1 card from your side deck with Fleeting.|
|Hand Limit|At the end of each turn A card bearing this sigil is in your hand or on the board, discard your oldest card until you have 4 or less cards in your hand.|
|Discard Shield|When A card bearing this sigil is played, all cards in your hand have Fleeting removed from them. When a card is drawn, Fleeting is removed from it.|
|Blazing Deck|At the start of the owner's turn, A card bearing this sigil will draw 1 card from your deck with Fleeting.|
|Anthill|When a card is discarded while A card bearing this sigil is on the board, create a Fire Ant in your hand.|
|Egg Sacks|When A card bearing this sigil perishes by battle, Spiderlings are created on the owner's empty spaces.|
|Many Legs|When A card bearing this sigil is struck, a Leg is created in its place and a card bearing this sigil moves to the right.|
|Scuttler|At the start of battle, A card bearing this sigil will move in the direction inscribed in the sigil.|
|Dark Growth|When A card bearing this sigil perishes, adjacent and opposing cards gain 1 power and lose 1 health.|
|Doom Clock|At the end of each turn A card bearing this sigil counts down. If this sigil reaches 0, you lose.|
|Create Terrain|When A card bearing this sigil is played, a random terrain is created on the opposing space.|
|Muscle Milk|A card bearing this sigil may be played on other cards. When A card bearing this sigil is played on another card, it gains 1 power and loses 1 health.|
|Summoning|When A card bearing this sigil is played, a random card of the same cost tier is summoned to the right.|
</details>

<details>
<summary>1 New Special Ability:
</summary>

|GUID|Name|Description|
|:-:|:-|:-|
|Insect Swarm|The value represented with this sigil will be equal to the number of insects that the owner has on their side of the table.|
</details>

<details>
<summary>2 New Card Apperances:
</summary>

|Name|Description|
|:-:|:-|
|MagmaAppearance|Gives cards an orange, burnt look. Also makes the emission glow in a gradient between orange and yellow.|
|MagmaGlowAppearance|Gives cards the emission glow of MagmaAppearance without the burnt card background. Used for terrain cards and such.|
</details>

<details>
<summary>5 New Encounters:
</summary>

|Name|Min Difficulty|Max Difficulty|Regions|Main Tribes|Turns|
|:-:|:-|:-|:-|:-|:-|
|bit_TurtleRockJuggernaut|0|20|Magma_bitty|Reptile|8|
|bit_DragonNest|0|20|Magma_bitty|Reptile|4|
|bit_FireSalmonRun|0|20|Magma_bitty|Reptile|4|
|bit_MartelP1|0|20|Magma Boss|Reptile|8|
|bit_MartelP2|0|20|Magma Boss|Reptile|9|
</details>

<details>
<summary>1 New Regions:
</summary>

|Name|Tier|Main Tribes|Encounters|
|:-:|:-|:-|:-|
|Magma_bitty|2|Reptile|Reptiles, Skinks, bit_TurtleRockJuggernaut, bit_FireSalmonRun, bit_DragonNest|
</details>

<details>
<summary>1 New Boss:
</summary>

|Name|Region|Signature Cards|
|:-:|:-|:-|
|Martel the Blacksmith|Magma Flow|Shackle, Knight|
</details>

# 

### Adding your own region cards:

You can add your own region specific cards by adding the extended property "bitty_region" and setting it to the corresponding number. If you want it to look like the other region cards then you can also add the apperance.

|Region|Number|Extended Property Example|Card Appearance Example|
|:-:|:-|:-|:-|
|Magma|1|.SetExtendedProperty("bitty_region", 1)|.AddAppearances(MagmaAppearance)|

#

### Credits

<details>
<summary>Thanks to:
</summary>

|Name|Art|
|:-:|:-|
|@goldisverycool|Flip Attack, Bone Stock, Many Legs, Scuttler, Egg Sack, Inflamed, Recursive, Dark Growth|
|Ducks&Dragons|Flameingo|
|Giorg|Woodpecker|
|Mira|Act 2 Aqua Squirrel Ball|
|Zepavil|Squirrel Ball|
|Syntaxevasion|Act 2 Hermit Crab|
|QuietGrave|Hermit Crab|
|Slimeman|Chair, Seagull, Flaming Tree, Knight|
|Spooky B|Brood Mother, Spiderling, Egg Sack, Giant Centipede|
|Danko|Anthill|
|Uwumacaronitime|Burning Deck|
|Keks|Shackle, Coal Pile|
|Eri|Chihuahua|
|Bonie|Hellhound, Fire Ant, Bellows|
|Logic The Wise|Mod icon|
|Sami|Parasitic Spider, Parasitic Bite|

|Name|Music|
|:-:|:-|
|Answearingmachine|Magma Boss Music|

|Name|Models|
|:-:|:-|
|James|Magma Region Models|
|Bonie|Magma Boss Mask|
</details>

#

### Changelog

<details>
<summary>Changelog
</summary>
1.1.0: - screw it NN's sigilarium is a dependancy, optional dependancy is too hard

1.0.5: - fixed discard issue with shackles

1.0.4: - (Hopefully) fixed discard issue with shackles

1.0.3: - Fixed crash if you don't have Nevernamed's Sigilarium + wrong portrait size

1.0.2: - Fixed Bellows Softlock

1.0.1: - Fixed Dependencies
</details>